Heartbleed update

As many of you are aware, the Heartbleed vulnerablity has affected many common internet service providers.  Users are now asking whether or not they need to change their passwords.  Many service providers have indicated if their services have been affected, if they have fixed the issue, and when a password change may be necessary.

The following link on mashable.com will help you determine whether or not you need to do something.

http://mashable.com/2014/04/09/heartbleed-bug-websites-affected/

Some of the services it mentions that need password changes include:

  • Facebook
  • Pintrest
  • Instagram
  • Tumblr
  • Google
  • Yahoo
  • Flickr
  • Minecraft
  • Netflix
  • Youtube
  • Dropbox
  • etc...

IT Services has put together a good page on selecting apporpriate passwords which can be accessed here:

https://www.uleth.ca/information-technology/security/password-best-practices

 

For more information on heartbleed, please visit http://www.heartbleed.com or contact the Solutions Centre at:

403-329-2490 or help@uleth.ca

 

Category: